<?php

/*
 * This file is part of the overtrue/wechat.
 *
 * (c) overtrue <i@overtrue.me>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
namespace EasyWeChat\Kernel\Messages;

/**
 * Class Text.
 *
 * @property $content
 */
class Text extends Message
{
    /**
     * Message type.
     *
     * @var string
     */
    protected $type = 'text';
    /**
     * Properties.
     *
     * @var array
     */
    protected $properties = ['content'];
    /**
     * Text constructor.
     *
     * @param $content
     */
    public function __construct($content)
    {
        parent::__construct(compact('content'));
    }
    /**
     * @return array
     */
    public function toXmlArray()
    {
        return ['Content' => $this->get('content')];
    }
}